@echo off
rem $Id: RestoreDB.bat,v 1.7 2001/06/30 08:22:48 rameshj Exp $

rem This script is used to restore the backup data.

if  "test" == "%1test"  goto usage
echo ********************************************************
echo *   Warning!!! Attempting to restore the data !!!      *
echo *   This will result in loosing your current data!!!   *
echo *   Press Ctl+c to quit the operation.                 *
echo ********************************************************
pause



cd ..\..\
call .\setEnv.bat




set CLASSPATH=
set CLASSPATH=%NMS_CLASSES%;%XML_CLASSPATH%;%DB_CLASSPATH%;


%JAVA_HOME%\bin\java -Dmysql.home=%MYSQL_HOME% -Dwebnms.rootdir=%NMS_HOME% -DbackupHome=%NMS_HOME%\bin\backup jdbc.RestoreBackup FILE %1

goto end
:usage
echo "Usage : RestoreBackup.sh  [Backup file]"
:end
cd bin\backup
pause
